import request from '@/utils/request'

// 查询啤酒币方案列表
export function listPlan(query) {
  return request({
    url: '/brewery/plan/list',
    method: 'get',
    params: query
  })
}

// 查询啤酒币方案详细
export function getPlan(id) {
  return request({
    url: '/brewery/plan/' + id,
    method: 'get'
  })
}

// 新增啤酒币方案
export function addPlan(data) {
  return request({
    url: '/brewery/plan',
    method: 'post',
    data: data
  })
}

// 修改啤酒币方案
export function updatePlan(data) {
  return request({
    url: '/brewery/plan',
    method: 'put',
    data: data
  })
}

// 删除啤酒币方案
export function delPlan(id) {
  return request({
    url: '/brewery/plan/' + id,
    method: 'delete'
  })
}
